<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: NSDate(TimeExtension)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_date_07_time_extension_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="category_n_s_date_07_time_extension_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSDate(TimeExtension)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_date_09_time_extension_8h_source.html">NSDate+TimeExtension.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a1b562e7492352122e8fc2d89aa9e1caa"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_time_extension_08.html#a1b562e7492352122e8fc2d89aa9e1caa">isSameYear</a></td></tr>
<tr class="separator:a1b562e7492352122e8fc2d89aa9e1caa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fee21a607c745e56dd38c8f2eeb6d8e"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_time_extension_08.html#a4fee21a607c745e56dd38c8f2eeb6d8e">isSameMonth</a></td></tr>
<tr class="separator:a4fee21a607c745e56dd38c8f2eeb6d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb4373d28c899959a87f5df5c0e7679"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_time_extension_08.html#aabb4373d28c899959a87f5df5c0e7679">isSameWeek</a></td></tr>
<tr class="separator:aabb4373d28c899959a87f5df5c0e7679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780aeb474e70d80866876d9dcc052880"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_time_extension_08.html#a780aeb474e70d80866876d9dcc052880">isSameDay</a></td></tr>
<tr class="separator:a780aeb474e70d80866876d9dcc052880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac77267160acf6c8f87624ea1a1fced20"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_date_07_time_extension_08.html#ac77267160acf6c8f87624ea1a1fced20">weekdayStringFromDate</a></td></tr>
<tr class="separator:ac77267160acf6c8f87624ea1a1fced20"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8h_source.html">NSDate+TimeExtension.h</a> 第 <a class="el" href="_n_s_date_09_time_extension_8h_source.html#l00011">11</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a780aeb474e70d80866876d9dcc052880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a780aeb474e70d80866876d9dcc052880">&#9670;&nbsp;</a></span>isSameDay</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isSameDay </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a> 第 <a class="el" href="_n_s_date_09_time_extension_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<a id="a4fee21a607c745e56dd38c8f2eeb6d8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fee21a607c745e56dd38c8f2eeb6d8e">&#9670;&nbsp;</a></span>isSameMonth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isSameMonth </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a> 第 <a class="el" href="_n_s_date_09_time_extension_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<a id="aabb4373d28c899959a87f5df5c0e7679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabb4373d28c899959a87f5df5c0e7679">&#9670;&nbsp;</a></span>isSameWeek</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isSameWeek </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a> 第 <a class="el" href="_n_s_date_09_time_extension_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<a id="a1b562e7492352122e8fc2d89aa9e1caa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b562e7492352122e8fc2d89aa9e1caa">&#9670;&nbsp;</a></span>isSameYear</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isSameYear </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a> 第 <a class="el" href="_n_s_date_09_time_extension_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<a id="ac77267160acf6c8f87624ea1a1fced20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac77267160acf6c8f87624ea1a1fced20">&#9670;&nbsp;</a></span>weekdayStringFromDate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) weekdayStringFromDate </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>根据日期求 星期几</p>
<dl class="section return"><dt>返回</dt><dd>星期 </dd></dl>

<p class="definition">在文件 <a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a> 第 <a class="el" href="_n_s_date_09_time_extension_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/Category/<a class="el" href="_n_s_date_09_time_extension_8h_source.html">NSDate+TimeExtension.h</a></li>
<li>XHXKit/Classes/General/Category/<a class="el" href="_n_s_date_09_time_extension_8m_source.html">NSDate+TimeExtension.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_date_07_time_extension_08.html">NSDate(TimeExtension)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
